RichCopy - Welcome

RichCopy RichCopy 4.0

Welcome to the high performance and optimized file copy world :-)

RichCopy is designed to help people who copy huge number of files between storage devices directly or indirectly over the network by accelerating copy performance and shorten the time people has to spend for file copy operation. This acceleration has been realized by improving network and storage device utilization with technology used for server services.
This new version has improved copy performance from its previous version by optimizing all processes involved. It has actually improved about 10% from RichCopy version 3.5 which already much faster than any other file copy tools.

Developed by Ken Tamaru (Kenzaburo Tamaru)
http://blogs.technet.com/ken

Table of Contents

  • Overview
  • New Features
  • Main user interface
  • Menu
    • File
    • Action
    • Edit
    • View
    • Help
  • Copy options
    • Overview
    • Process control
    • Attributes, Errors
    • Filter - Include
    • Filter - Exclude
    • Others
  • Toolbar
  • Console
  • Status bar
  • Command options


RichCopy

RichCopy RichCopy 4.0

What RichCopy does

RichCopy realize high file copy performance by executing multiple copy tasks simultaneously. For example, filtering and comparison engine decide a file should be copied or not while directory search engine enumerate files and directories in source, and file copy engine copies files while filtering and comparison engine evaluating each files and directories. Each task are executed asynchronously, and each task distributes its task to multiple threads. This contributes to minimize the time that a task wait the result of another task. This is the logic of RichCopy and how to get the high performance. Thus the configuration such as cache size, access method (use system cache or not), serialize physical drive access or not and number of threads directly impacts to the copy performance. In order to get best performance between targeted source and destination, those parameters have to be carefully reviewed and configured. Default setting is configured not to minimize the system resource. The other word, it is not high performance configuration. Please change the configuration based on your needs and network and hardware performance.

When to use...

If you often copy many files over low bandwidth or high latency network, RichCopy will be help you relief from your stress an accelerate your daily business. RichCopy remove the issue of low bandwidth and high latency by executing multiple tasks simultaneously and shorten the wait ACK from target machine. There was a cast that RichCopy 8 times faster than XCOPY. Of course it is faster than RoboCopy with more features.


RichCopy - New Features

RichCopy RichCopy 4.0 - New Features and Changes

What's new

RichCopy version 1.0 was written as simple Windows dialog based application. Version 2.0 and 3.x were based on COM technology, and it supported IDispatch interface for automation needs; however IDispatch interface / automation support did not satisfy the needs of RichCopy users, but most GUI and command line. Users wants more something handy. RichCopy Version 4.0 is designed as single executable file for portability with more features business.

Feature | Description
Improved copy performance | RichCopy version 2.0 ~ 3.5 are already much faster than any other copy tools, but RichCopy version 4.0 is faster than its early versions. RichCopy version 4.0 can cover all areas where file and directories need to be copied over the network with true based performance and features.
Profile based copy option | Earlier versions support only single state copy options. User had to change the configuration when network condition is very different from previous. RichCopy version 4.0 now supports profiled based copy options. User can create profile with any name and store different setting to each profile. User can easily switch configuration by choosing profile from drop down list box.
Multiple source | RichCopy version 4.0 now supports multiple sources while earlier versions and other copy tools support only one to one coy operation. For example, you do not need to run multiple copy process when source directory is different. Now you just need to specified multiple sources that need to be copied to destination directory.
Increased supported copy threads | Most of tools support up to 64 per thread. This limitation comes from known WIN32 thread management API. RichCopy version 4.0 does not have such limitation with sufficient original thread management mechanism as long as system resource allows. For example, you could run more than 256 threads.
Detail file / directory filtering | Earlier version could not filter files and directory with date/time such as creation date/time, last write date/time and last access date/time. RichCopy version 4.0 can filter files and directories with any date/time stamp with 'earlier" and 'later' conditions and 'copy' and 'not to copy' conditions.
Full command line support | All features available on GUI are also available from command option line. Also Option property displays command line parameters of current configuration, thus user can generate command parameters by setting copy options on property dialog.
Optimized copy method These days, RichCopy is used against varied storage devices. RichCopy now supports following options.
  • System cache v.s. Self-cache for device direct access
  • Multiple access v.s. Serialized access for not optimized and slow device


RichCopy - Keywords

RichCopy RichCopy 4.0

Definitions

File | A collection of information that is stored on a computer under a single name. A file can be a text document, a picture, a program, and so on. Files typically have a three-letter file name extension that helps to indicate the type (for example, picture files are often saved in JPEG format and have the file name extension .jpg. Rich Copy has .rcx.)
Tags | A custom file property that you create to help find and organized your files.
Desktop | The work area on a computer screen that simulates the top of an actual desk. You can arrange icons on the desktop, such as the Recycle Bin and shortcuts to programs, files, folders, and various types of documents, just as you would arrange real objects on top of a desk.
Icon | A small picture that represents a file, folder, program, or other object or function.


File menu

RichCopy RichCopy 4.0

File menu commands

The File menu offers the following commands:

New | Creates a new copy option profile.
Open | Opens an existing copy option file.
Close | Closes an opened copy option profile.
Save | Saves an opened copy option using the same file name.
Save As | Saves an opened copy option to a specified file name.
Recent Profiles | Open recently save copy option files.
Exit | Exits RichCopy.


File - New Menu

RichCopy RichCopy 4.0 - Copy

Create a new copy option profile

You can create new files in any program and give each of them a meaningful name to help you organize your work. In most programs, the File menu is where you open, save, and create new files. In case of RichCopy you create copy option profile and reset to default.

  1. Click the File menu in the program you are using, and then click New If you can create more than one kind of file in the program, you might also need to select an item, such as a template, from a list.
  2. When you are finished working with the new file, click the File menu, and then click Save As to name the file and save it on your computer.

Tips

  • Depending on the type of file you are using, you might be able to add file properties—such as tags, author names, and ratings—either at the time that you save the file or by using the Details pane. This will make it easier to find the file the next time you need it.
  • To create a new file on the desktop or in an open folder, right-click a blank area, point to New, and then click the program name for the kind of file you want to create. After the icon appears, double-click it to open the file and begin working.

Create new copy option profile and reset it to the default. Copy option profile is created for file based profile, thus it will not be stored into registry. Copy option profile can be saved through the File-Save or File-SaveAs menu.

See also

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


File - Open menu

RichCopy RichCopy 4.0 - Copy

Open copy option profile

Open existing copy option profile. While opening file based copy option profile, copy option profile bag is disabled until file based copy option profile is closed.

  1. Find the file or folder that you want to open.
  2. Double-click the file or folder to open it.

Notes

  • Double-clicking a file automatically opens its associated program (if it is not already open). In case of .rcx file, RichCopy will be executed and open it.
  • To open a file in a different program than the one that the file usually opens in, right-click the file, point to Open With, and then click a compatible program in the list.
  • If you have a file that will not open, you probably need to install a program capable of opening the file. This might occur if someone sends you a file by e‑mail. Ask the sender what program opens the file and how you can install it. In case of .rcx file, it does mean that RichCopy is not properly installed.

See also

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


File - Save menu

RichCopy RichCopy 4.0 - Copy

Save copy option profile

Save active copy option profile to file system. Both of file based and profile bag based copy option profile can be saved.

See also

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


File - Save As menu

RichCopy RichCopy 4.0

Save copy option profile with specified file name

Save copy option profile with specified file name. When active copy option profile is profile bag based, and then profile bag will be inactivated and switch to file based. (Copy option profile drop down list box will be inactivated)

See also

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


Action menu

RichCopy RichCopy 4.0

Action menu commands

The Action menu offers the following commands:

Start | Start copy process.
Pause | Suspend currently running copy process.
Cancel | Stop currently running copy process.
Copy option | Display copy option setting dialog.


Action - Start copy operation

RichCopy RichCopy 4.0

Start copy copy operation

Start copy operation. If filed based copy option profile is opened, it will be used as copy configuration. If profile bag based profile is used, copy option profile selected on drop down list box will be used as copy configuration.


Action - Suspend copy operation

RichCopy RichCopy 4.0

Suspend running copy operation

Use this command to hold running copy operation. This is useful when RichCopy eats too much machine resource and you want to execute anther task quickly.


Action - Cacncel copy operation

RichCopy RichCopy 4.0

Cancel copy operation

Cancel running copy operation. This command will not complete until all copy thread exit.


Action - Show RichCopy option dialog

RichCopy RichCopy 4.0

Show RichCopy option dialog

Show RichCopy option dialog


Edit menu

RichCopy RichCopy 4.0

Edit menu commands

The Edit menu offers the following commands:

Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.


Edit - Cut menu

RichCopy RichCopy 4.0 - Copy

Cut selected text

Cut selected text, and store into clipboard. This operation is same as regular cut text operation.


Edit - Copy menu

RichCopy RichCopy 4.0 - Copy

Copy text

Copy selected text into clipboard. This action is same as other regular copy text operation.


Edit - Paste menu

RichCopy RichCopy 4.0 - Copy option

Paste text

Paste text from clipboard to current location. This operation is same as regular paste text operation.


View menu

RichCopy RichCopy 4.0

View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Reset log | Reset all logs.
Basic | Shows only basic copy option settings in copy option profile dialog.
Advanced | Shows all copy option settings in copy option profile dialog.
Options | Shows RichCopy option dialog.


View - Toolbar menu

RichCopy RichCopy 4.0

Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in RichCopy,

To hide or display the toolbar, click Toolbar from the View menu.


View - Status bar menu

RichCopy RichCopy 4.0

Status bar

RichCopy is designed to utilize CPU power for file copy, and it is second priority to update the information on status bar. Status bar will be updated either when CPU is idle or it passed more than 1 second since last update.


View - Reset log menu

RichCopy RichCopy 4.0

Reset log

Reset all items in log list view.


View - Basic menu

RichCopy RichCopy 4.0

Basic copy options

Limit RichCopy Option Profile features to commonly used basic features. This affects copy options available in RichCopy option profile dialog.


View -Advanced menu

RichCopy RichCopy 4.0

Advanced copy option

Enable full RichCopy Option Profile features. This affects copy options available in RichCopy option profile dialog.


View - Option menu

RichCopy RichCopy 4.0

RichCopy Options

Shows RichCopy option dialog. This is NOT to show RichCopy option profile dialog.


Help menu

RichCopy RichCopy 4.0

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


Help - Topics menu

RichCopy RichCopy 4.0 - Copy

Help Topics

Show RichCopy help, which index, search feature are enabled. One you open help, you can click the contents button whenever you want to return to the opening screen.


Help - About menu

RichCopy RichCopy 4.0 - Copy

About

Show RichCopy About dialog box. This about dialog box shows version and legal terms.


Option

RichCopy RichCopy 4.0 - Copy option

RichCopy Option Profile

RichCopy 4.0 supports profile based copy option settings, which allows user to create multiple copy options and save as different profile. The other word, RichCopy 4.0 allows storing multiple copy options, and choose a copy setting from unlike earlier versions.

See also

  • Overview
  • Process control
  • Attribute control and error handling
  • Filter to include files and directories
  • Filter to exclude files and directories
  • Other settings


Option - Overview

RichCopy RichCopy 4.0 - Copy option

Overview

RichCopy version 4.0 has improved usability especially copy option dialogs. This overview page has all basic copy configuration settings that should satisfy most of your needs to file copy tool.

Expand Method

Expand Method

Copy method is what RichCopy does during the copy operations. Selecting more options will slower the whole copy process because of more tasks to do.

Method | Description
Purge | Files in destination will be removed if it does not exist in source directory. This option is often selected when source and destination directories need to be identical. (Remove files in destination when it is removed in source)
Move | Move files from source to destination. Actual operation is to delete files in source after successfully copying files from source to destination.
Consolidate multiple sources RichCopy version 4.0 supports specifying multiple source directories. Default behavior is to create directories with same name as source, and make a copy. When this option is selected, RichCopy copy all sources files and directories into specified destination directory without creating directories with same name as source.
For example without selecting "Consolidate multiple sources option"
Consolidate
[Source]
\\<source server>\<source share>\<directory A>[\<files A>]
\\<source server>\<source share>\<directory B>[\<files B>]
\\<source server>\<source share>\<directory C>[\<files C>]
[Destination]
\\<destination server>\<destination share>

Those three directories are copied like following.
\\<destination server>\<destination share>\<directory A>\[<files A>]
\\<destination server>\<destination share>\<directory B>\[<files B>]
\\<destination server>\<destination share>\<directory C>\[<files C>]

With this option, destination will be like
Consolidate
\\<destination server>\<destination share>\[<files A>]
\\<destination server>\<destination share>\[<files B>]
\\<destination server>\<destination share>\[<files C>]
Verify | All copied files will be compare with source files after all copy operation successfully completes.

Expand Mode

Expand Mode

Mode decide the behavior of copy operation

Mode | Description
Trickle | This feature is currently not available.
Preprocess | All files and directories in source will be searched and check, including file attributes, date and size. When this option is selected, RichCopy will prompt percentage of copied files.
Wait target | When this option is selected, RichCopy holds copy process until specified source directories become available when it does not exist.
Timer | Specified the date and time when copy process should start. When this option is selected, copy process will not start immediately, but when it becomes specified date and time.

Expand Thread

Expand Thread

Thread | Description
Directory search | Specify the number of thread to be used for directory search. Increasing number of thread for directory search is effective when directory structure is rather complex, but it does not contribute to the performance so much when directory structure is simple.
Directory copy | Specify the number of thread to be used to copy files. Thread number actually identical to the number of copy process executed simultaneously. When 10 is specified, and then 10 files are copied simultaneously.
File copy | Specified the number of thread to be used to copy a file. This is effective to copy small number of huge file copy. It is not recommended to use more than 1 thread for a file copy as it could consume large size of system resource. (Multiple number of directory copy thread by number of file copy thread. )

Expand General conditions<

Expand General conditions

Option | Description
Ignore READ_ONLY flag | This option force to copy files to destination when file already exist with READ-ONLY flag. If this option is not selected, copy will fail otherwise.
Directory creation only | Specified this option to copy directories only, no files.
Create directory only when it has child | When this option is selected, directory will not be created if it has not child files or directories
Turn off system buffer Specify not to use system cache for file read and write. If you want to system to directly transfer data to storage system, you may turn of system cache by selecting this option.
When this option is selected, the file is being opened with no system caching. This does not affect hard disk caching or memory mapped files. This option may gives maximum asynchronous performance, because the data the I/O does not rely on the synchronous operations of the memory manager. However, some I/O operations take more time, because data is not being held in the cache. RichCopy also does following additional tasks when this option is selected.
  • Align file access byte offset to integer multiples of the volume sector size.
  • Align buffer addresses for read and write operation with sector size.
  • Set file size afterwards
Serialize disk access | Some storage devices are not good at performing simultaneous disk access, such ATA based disk drives especially over the USB. When this option is selected, RichCopy serialize all disk access to the storage, and minimize the overhead at storage device end. This does not mean that RichCopy limits the number of thread running simultaneously.

Expand Compare options

Expand Compare options

Option | Description
Copy always | This option force to copy files to destination when file already exist with READ-ONLY flag. If this option is not selected, copy will fail otherwise.
Security setting | Compare the security setting of a file in source and destination.
Availability | Check if a file exist in destination.
File size | Compare size of a file in source and destination.
Attribute | Compare attributes of a file in source and destination.
Time stamp | Compare time stamp of a file in source and destination


Option - Process

RichCopy RichCopy 4.0 - Copy option

Thread and priority control

Settings in this page directly impacts to the performance and resource utilization such as CPU, storage, memory and network. It is possible to make a machine not accept other tasks because of huge resource consumption by this tool. Thus all settings have to be carefully reviewed and set with enough knowledge and understanding.
Following picture shows that there are three major parts. Directory Search engine explorer specified source directory, and push information of identified files and directories to Search Cache, then Folder Copy engine pull the file and directory information, and copy them.
Thread
Each engine is actually a group of multiple threads that does actual operation. As you can guess from below picture, it is problematic using multiple thread for file copy. (file copy thread x folder copy thread = could consume huge system resource)
Thread

Expand Directory copy

Expand Directory copy

Thread count used to copy directories

Parameter | Description
Thread count | Specify the number of thread to be used to copy files. This setting actually means the number of files to be copied simultaneously.

Expand File copy

Expand File copy

Thread count used to copy files (Thread count, cache size)

Parameter | Description
Thread count | Specify the number of thread to be used for each copy task. A file is divided by the specified number, and RichCopy kicks those threads and distribute the copy task. This is effective to copy huge small number of files; however it is problematic to use other 1 thread when you use multiple threads for "Directory copy" as actual resource consumption is <directory copy thread> x <file copy thread> x <cache size>. It easily gets huge resource.
Cache size | This is the cache size used for file copy. Each file copy transaction will occur per this cache size. The other word, this is the data size read and written by RichCopy. For example, RichCopy read and write 10 times to copy 64K bytes when 7K bytes is set as cache size

Expand Search

Expand Search

Search (Thread count, cache size)

Parameter | Description
Thread count | Specify how many threads should be used to search files and directories. RichCopy uses only one thread per directory, thus using many threads will not be so helpful when directory structure is rather simple, flat, but it has to be enough to feed file and directory information to directory copy tasks.
Cache size | Number of file information to be stored. If 10 is specified, information of 10 files and/or directories can be stored. It is suggested to specified double size of directory copy thread count. Search cache is traditional FIFO ring cache.

Expand Process

Expand Process

Priority of whole process can be customized, but it directly impacts to other active process when highest priority is selected.

Parameter | Description
Priority | Critical means to try using all system resource. Idle means to run copy tasks without impacting other process.


Option - Attribute controll and Error handling

RichCopy RichCopy 4.0 - Copy option

Attribute control and error handling

RichCopy supports selecting information to be copied and to be set. For example, if you want to copy files with file attribute, but time stamp, you can do this by simply selecting "File attributes" and de-selecting "File stamp" option in "Information to be copied" group. Also it is supported to add and/or remove any file attributes you want.

RichCopy also supports rich error handling support which is quite helpful when you copy files over slow and/or unstable network. RichCopy is capable to restart from where copy fails. User can configure retry interval and error code to be handled.

Expand Information to be copied

Expand Information to be copied

File has multiple information in addition to its size and contents. Following options are to specify what information should be copied from source to destination.

Information | Description
Attributes | Same file attributes as source file will be set to copied file in destination directories.
Time stamp | Same time stamp as source file will be set to copied file in destination directories.
Set to specified time stamp | Set specified time stamp to copied files in destination directories.
Security Information | Same security setting will be applied to copied files. This is valid only when the security descriptor is based on same domain or workgroup. This option is not valid between servers whose forest/domain or workgroup has not under trust relationship.

Expand Attributes to set / remove

Expand Attributes to set / remove

Any attributes can be set to copied files or remove. Following table shows what attributes can be set to copied files or remove.

Attributes | Description
Read only | A file or directory that is read-only. For a file, applications can read the file, but cannot write to it or delete it. For a directory, applications cannot delete it.
Hidden | The file or directory is hidden. It is not included in an ordinary directory listing.
Not content indexed | The file is not to be indexed by content indexing service.
Encrypted | A file or directory that is encrypted. For a file, all data streams in the file are encrypted. For a directory, encryption is the default for newly created files and subdirectories.
Offline | The data of a file is not available immediately. This attribute indicates that the file data is physically moved to offline storage. This attribute is used by Remote Storage, which is the hierarchical storage management software. Applications should not arbitrarily change this attribute.
System file | A file or directory that the operating system uses a part of, or uses exclusively.
Archive | A file or directory that is an archive file or directory. Applications use this attribute to mark files for backup or removal.
Compressed | A file or directory that is compressed. For a file, all of the data in the file is compressed. For a directory, compression is the default for newly created files and subdirectories.
Temporary | A file that is being used for temporary storage. File systems avoid writing data back to mass storage if sufficient cache memory is available, because typically, an application deletes a temporary file after the handle is closed. In that scenario, the system can entirely avoid writing the data. Otherwise, the data is written after the handle is closed.

Expand Error handling

Expand Error handling

Original version of RichCopy was developed to survive slow and unstable network. It was quite often to face time out error during the file copy, which was hard to recover from at that time. Error handling is the core and legacy RichCopy feature. This feature is to automatically resume file copy process where it fails last time, not to start over.

Method | Description
Number of retries to cancel copy process | Number of errors to retry. For example, RichCopy will stop copy process when error occurs three times if three is set.
Period until next try | Interval to retry. RichCopy will wait specified interval until retry the task.
Errors to immediately cancel copy process | Checked errors are recognized critical and unrecoverable. When selected error occurs, entire RichCopy process will be canceled.


Option - Include setting

RichCopy RichCopy 4.0 - Copy option

File Copy Options - Include

Just like earlier versions, RichCopy version 4.0 supports file and directories filtering with various parameters, and those conditions can be set to different types, files and directories. File attributes RichCopy supports for filtering are name, attributes, creation date, last write date and last access date. File size is not supported in this version. This dialog is to set filters to include files and directories. All files and directories satisfy the condition set in this dialog will be copied.

Expand Use name to filter

Expand Use name to filter

Check this option to filter files with specified filter string. Files and directories will not be filtered with file name when this option is not selected even if actual filters are specified

Name(s) Specify filters to exclude files. Each filter string can be delimited with colon <:>, semicolon <;>, comma <,> and back slash </>. Also, standard wildcard syntax is valid in this option. Here is valid filter strings as an example.
  • readme.*
  • readme.tx?
  • ????copy.exe
  • readme.txt; readme.doc; richcopy.*

Expand Use attributes to filter

Expand Use attributes to filter

Check this option to filter files with specified file attributes. Files will not be filtered with selected file attributes when this option is not selected even if actual filter attributes are specified

Target attributes to exclude | Description
Read only | A file or directory that is read-only. For a file, applications can read the file, but cannot write to it or delete it. For a directory, applications cannot delete it.
Hidden | The file or directory is hidden. It is not included in an ordinary directory listing.
Not content indexed | The file is not to be indexed by content indexing service.
Encrypted | A file or directory that is encrypted. For a file, all data streams in the file are encrypted. For a directory, encryption is the default for newly created files and subdirectories.
Offline | The data of a file is not available immediately. This attribute indicates that the file data is physically moved to offline storage. This attribute is used by Remote Storage, which is the hierarchical storage management software. Applications should not arbitrarily change this attribute.
System file | A file or directory that the operating system uses a part of, or uses exclusively.
Archive | A file or directory that is an archive file or directory. Applications use this attribute to mark files for backup or removal.
Compressed | A file or directory that is compressed. For a file, all of the data in the file is compressed. For a directory, compression is the default for newly created files and subdirectories.
Temporary | A file that is being used for temporary storage. File systems avoid writing data back to mass storage if sufficient cache memory is available, because typically, an application deletes a temporary file after the handle is closed. In that scenario, the system can entirely avoid writing the data. Otherwise, the data is written after the handle is closed.

Expand File date to exclude

Expand File date to exclude

Date type | Description
Creation date | The date the specifies when a file or directory is created. If the underlying file system does not support creation time, this option is invalid.
Last write date | For a file, the date specified the last time that a file is written to. For a directory, the date specifies when the directory is created. If the underlying file system does not support the last access time, this option is invalid.
Last access date | For a file, the date specifies the last time that a file is read from or written to. For a directory, the date specifies when the directory is created. If the underlying file system does not support the last access time, this options is invalid.


Option - Exclude setting

RichCopy RichCopy 4.0 - Copy option

File Copy Options - Exclude

Just like earlier versions, RichCopy version 4.0 supports file and directories filtering with various parameters, and those conditions can be set to different types, files and directories. File attributes RichCopy supports for filtering are name, attributes, creation date, last write date and last access date. File size is not supported in this version. This dialog is to set filters to exclude files and directories. All files and directories satisfy the condition set in this dialog will not be copied.

Expand Use name to filter

Expand Use name to filter

Check this option to filter files with specified filter string. Files and directories will not be filtered with file name when this option is not selected even if actual filters are specified

Name(s) Specify filters to exclude files. Each filter string can be delimited with colon <:>, semicolon <;>, comma <,> and back slash </>. Also, standard wildcard syntax is valid in this option. Here is valid filter strings as an example.
  • readme.*
  • readme.tx?
  • ????copy.exe
  • readme.txt; readme.doc; richcopy.*

Expand Use attributes to filter

Expand Use attributes to filter

Check this option to filter files with specified file attributes. Files will not be filtered with selected file attributes when this option is not selected even if actual filter attributes are specified

Target attributes to exclude | Description
Read only | A file or directory that is read-only. For a file, applications can read the file, but cannot write to it or delete it. For a directory, applications cannot delete it.
Hidden | The file or directory is hidden. It is not included in an ordinary directory listing.
Not content indexed | The file is not to be indexed by content indexing service.
Encrypted | A file or directory that is encrypted. For a file, all data streams in the file are encrypted. For a directory, encryption is the default for newly created files and subdirectories.
Offline | The data of a file is not available immediately. This attribute indicates that the file data is physically moved to offline storage. This attribute is used by Remote Storage, which is the hierarchical storage management software. Applications should not arbitrarily change this attribute.
System file | A file or directory that the operating system uses a part of, or uses exclusively.
Archive | A file or directory that is an archive file or directory. Applications use this attribute to mark files for backup or removal.
Compressed | A file or directory that is compressed. For a file, all of the data in the file is compressed. For a directory, compression is the default for newly created files and subdirectories.
Temporary | A file that is being used for temporary storage. File systems avoid writing data back to mass storage if sufficient cache memory is available, because typically, an application deletes a temporary file after the handle is closed. In that scenario, the system can entirely avoid writing the data. Otherwise, the data is written after the handle is closed.

Expand File date to exclude

Expand File date to exclude

Date type | Description
Creation date | The date the specifies when a file or directory is created. If the underlying file system does not support creation time, this option is invalid.
Last write date | For a file, the date specified the last time that a file is written to. For a directory, the date specifies when the directory is created. If the underlying file system does not support the last access time, this option is invalid.
Last access date | For a file, the date specifies the last time that a file is read from or written to. For a directory, the date specifies when the directory is created. If the underlying file system does not support the last access time, this options is invalid.


Option - Other settings

RichCopy RichCopy 4.0 - Copy option

Others

This page has all other options

Expand Command to execute

Expand Command to execute

Executable file can be specified to start before starting copy process and after completing all. In this release, following three parameters are supported. For example, "prep.cmd %DST" will be "pre.cmd <destination path>" when it is executed

  • %SRC - This will be replaced with source path
  • %DST - This will be replaced with destination path
  • %DATE - This will be replaced with current date this command is executed
  • %TIME - This will be replaced with current time this command is executed
  • %SIZE - This will be replaced with copied file size. File size is always zero for "before starting copy process" and not preprocessed mode.
Command | Description
Before starting copy process | Any executable can be specified. If exit code of executed command is none-zero, RichCopy will not process rest of tasks. The other word, command can control whether to start copy process or not by returning zero or non-zero.
After completing copy process | Any executable can be specified.

Expand FTP

Expand FTP

Information | Description
Account | Account when used to access FTP server
Password | Password when user to access FTP server

Expand Log

Expand Log

Information | Description

Command line parameters

This is a sort of helper to build command option parameters. Parameters displayed in this edit control realize same configuration as current copy option setting.


RichCopy - Toolbar

RichCopy RichCopy 4.0

Toolbar

Basic operation can be executed from toolbar.


Console - Overview

RichCopy RichCopy 4.0

Console

Main console to specific source and destination directory, and select copy option profile to be used. All copy status, log and other basic copy information is available in this console UI.


RichCopy - Status bar

RichCopy RichCopy 4.0

Status bar

RichCopy version 2.0 ~ 3.5 updates status bar every time when status get changed, but version 4.0 puts more CPU resources into copy process, and minimize the cost of other operations. This version updates Status bar a time per second, not real time update. It is even more less when CPU utilization is high. When precision of status seems not up-to-date, please check elapsed time. If elapsed time does not change, most likely RichCopy sacrifices precision of status bar information for better copy performance.

Status bar provides [elapsed time] | [total number of copied files] / [total number of identified files] ([total number of identified directories]) | [average performance] | [progress in percent]


Option - Other settings

RichCopy RichCopy 4.0 - Copy option

Command

>RichCopy.exe <source path> <destination> <flags>

<n> numbers
<s> string
<t> date/time

RichCopy has a feature to help you generating necessary command parameters.

  1. Switch Basic to Advanced mode from View menu
  2. Change copy setting in property dialog
  3. Change tab to "Other'

You will find command parameters equivalent to what you have confiured.

Command | Description
Conditions to decide if a copy should be copied
/CSSD | Compare the security setting of a file in source and destination.
/CDSD | Compare the security setting of a file in source and destination.
/FSS | Compare size of a file in source and destination.
/FSD | Compare size of a file in source and destination.
/FAS | Compare size of a file in source and destination.
/FAD | Compare attributes of a file in source and destination.
/TSS | Compare time stamp of a file in source and destination. Copy if it is same. This option is used with one of /CCD, /CLA, /CLW flag.
/TSD | Compare time stamp of a file in source and destination. Copy if it is different. This option is used with one of /CCD, /CLA, /CLW flag.
/TSU | Compare time stamp of a file in source and destination. Copy if it is earlier than source. This option is used with one of /CCD, /CLA, /CLW flag.
/CCD | Check create date. This flag is valid when one of /TSS, /TSD or /TSU flag is specified.
/CLA | Check last access date. This flag is valid when one of /TSS, /TSD or /TSU flag is specified.
/CLW | Check last wrote date. This flag is valid when one of /TSS, /TSD or /TSU flag is specified.
/NE | Copy if it does not exist in destination.
/II | Copy if it exist in destination.
/O | This option force to copy files to destination when file already exist with READ-ONLY flag. If this option is not selected, copy will fail otherwise.
/ALWS | This option force to copy files to destination when file already exist with READ-ONLY flag. If this option is not selected, copy will fail otherwise.
/NONE | Do not copy files, but create only directories.
/CNF | Turn off popup system error dialog.
Information to be copied.
/CT | Set same date/time to destination file as source.
/CA | Set same attributes to destination file as source.
/CSA | Copy security settings from source to destination. This flag has to be used with one or some of /CSD, /CSG, /CSO and /CSS.
/CSD | Copy discretional access control information from source file to destination. This is valid only when /CSA flag is set.
/CSG | Copy security group information from source file to destination. This is valid only when /CSA flag is set.
/CSO | Copy owner information from source file to destination. This is valid only when /CSA flag is set.
/CSS | Copy security access control from source file to destination. This is valid only when /CSA flag is set.
/L | Indicate specified date/time will be set to copied files.
/SD <d> | Specify the date/time to be applied.
Copy mode
/N | (This is currently not available) Keep monitoring source directory, and copy if any change is captured.
/PRP | Parse all source directories before starting actual copy process. This makes enable to collect total file counts and size, and know the remained files size to be copied.
/T | Set time to kick copy process. When this flag is set, copy process will not start until reaching to specified date/time. This flag is used with /TM flag.
/W | RichCopy will wait until specified source directory become available.
/NC Specify not to use system cache for file read and write. If you want to system to directly transfer data to storage system, you may turn of system cache by selecting this option.
When this option is selected, the file is being opened with no system caching. This does not affect hard disk caching or memory mapped files. This option may gives maximum asynchronous performance, because the data the I/O does not rely on the synchronous operations of the memory manager. However, some I/O operations take more time, because data is not being held in the cache. RichCopy also does following additional tasks when this option is selected.
  • Align file access byte offset to integer multiples of the volume sector size.
  • Align buffer addresses for read and write operation with sector size.
  • Set file size afterwards
/SZ | Some storage devices are not good at performing simultaneous disk access, such ATA based disk drives especially over the USB. When this option is selected, RichCopy serialize all disk access to the storage, and minimize the overhead at storage device end. This does not mean that RichCopy limits the number of thread running simultaneously.
/TM <t> | Specify date/time to start copy process. This flag is valid only when /T flag is specified.
Copy mode
/P | Files in destination will be removed if it does not exist in source directory. This option is often selected when source and destination directories need to be identical. (Remove files in destination when it is removed in source)
/M | Move files from source to destination. Actual operation is to delete files in source after successfully copying files from source to destination.
/C | RichCopy version 4.0 supports specifying multiple source directories. Default behavior is to create directories with same name as source, and make a copy. When this option is selected, RichCopy copy all sources files and directories into specified destination directory without creating directories with same name as source. See also.
/V | All copied files will be compare with source files after all copy operation successfully completes.
Set or remove file attributes
/+R Set a file or directory that is read-only.
For a file, applications can read the file, but cannot write to it or delete it.
For a directory, applications cannot delete it.
/+H | Set a file or directory is hidden. It is not included in an ordinary directory listing.
/+S | Set a file or directory that the operating system uses a part of, or uses exclusively.
/+A Set a file or directory that is an archive file or directory.
Applications use this attribute to mark files for backup or removal.
/+C Set a file or directory that is compressed.
For a file, all of the data in the file is compressed.
For a directory, compression is the default for newly created files and subdirectories.
/+I | Set a file is not to be indexed by content indexing service.
/+T Set a file that is being used for temporary storage.
File systems avoid writing data back to mass storage if sufficient cache memory is available, because typically, an application deletes a temporary file after the handle is closed. In that scenario, the system can entirely avoid writing the data. Otherwise, the data is written after the handle is closed.
/+O Set the data of a file is not available immediately.
This attribute indicates that the file data is physically moved to offline storage. This attribute is used by Remote Storage, which is the hierarchical storage management software. Applications should not arbitrarily change this attribute.
/-R | Remove read-only flag. See /+R flag for more detail.
/-H | Remove hidden flag. See /+H flag for more detail.
/-S | Remove system flag. See /+S flag for more detail.
/-A | Remove archive flag. See /+A flag for more detail.
/-C | Remove compressed flag. See /+C flag for more detail.
/-I | Remove none-index flag. See /+I flag for more detail.
/-T | Remove temporary flag. See /+T flag for more detail.
/-O | Remove offline flag. See /+O flag for more detail.
File and directory filtering
/IFR | Copy files if read-only flag is set.
/IFH | Copy files if hidden flag is set.
/IFS | Copy files if system flag is set.
/IFA | Copy files if archive flag is set.
/IFC | Copy files if compress flag is set.
/IFI | Copy files if none-index flag is set.
/IFE | Copy files if encrypted
/IFT | Copy files if temporary flag is set.
/IFO | Copy files if offline flag is set.
/IDR | Copy directories if read-only flag is set.
/IDH | Copy directories if hidden flag is set.
/IDS | Copy directories if system flag is set.
/IDA | Copy directories if archive flag is set.
/IDC | Copy directories if compress flag is set.
/IDI | Copy directories if none-index flag is set.
/IDE | Copy directories if encrypted
/IDT | Copy directories if temporary flag is set.
/IDO | Copy directories if offline flag is set.
/EFR | Don't copy files if read-only flag is set.
/EFH | Don't copy files if hidden flag is set.
/EFS | Don't copy files if system flag is set.
/EFA | Don't copy files if archive flag is set.
/EFC | Don't copy files if compress flag is set.
/EFI | Don't copy files if none-index flag is set.
/EFE | Don't copy files if encrypted
/EFT | Don't copy files if temporary flag is set.
/EFO | Don't copy files if offline flag is set.
/EDR | Don't copy directories if read-only flag is set.
/EDH | Don't copy directories if hidden flag is set.
/EDS | Don't copy directories if system flag is set.
/EDA | Don't copy directories if archive flag is set.
/EDC | Don't copy directories if compress flag is set.
/EDI | Don't copy directories if none-index flag is set.
/EDE | Don't copy directories if encrypted
/EDT | Don't copy directories if temporary flag is set.
/EDO | Don't copy directories if offline flag is set.
/FIF | Filter string for files to be copied. Filter string should be surrounded by double quote character if it includes space.
/FID | Filter string for directories to be copied. Filter string should be surrounded by double quote character if it includes space.
/FEF | Filter string for files to be excluded. Filter string should be surrounded by double quote character if it includes space.
/EDO | Filter string for directories to be excluded. Filter string should be surrounded by double quote character if it includes space.
Directory search configuration
/TS <n> | Specify the number of thread to be used for directory search. Increasing number of thread for directory search is effective when directory structure is rather complex, but it does not contribute to the performance so much when directory structure is simple.
/SC <n> | Number of file information to be stored. If 10 is specified, information of 10 files and/or directories can be stored. It is suggested to specified double size of directory copy thread count. Search cache is traditional FIFO ring cache.
Thread configuration
/TD <n> | Specify the number of thread to be used to copy files. Thread number actually identical to the number of copy process executed simultaneously. When 10 is specified, and then 10 files are copied simultaneously.
/TP <n> | Specified the number of thread to be used to copy a file. This is effective to copy small number of huge file copy. It is not recommended to use more than 1 thread for a file copy as it could consume large size of system resource. (Multiple number of directory copy thread by number of file copy thread. )
/FC <n> | This is the cache size used for file copy. Each file copy transaction will occur per this cache size. The other word, this is the data size read and written by RichCopy. For example, RichCopy read and write 10 times to copy 64K bytes when 7K bytes is set as cache size
Process Priority
/PP <#> | Set process priority of RichCopy. (0 = idle, 5 = critical). Critical means to try using all system resource. Idle means to run copy tasks without impacting other process.
Retry configuration
/R <n> | Number of errors to retry. For example, RichCopy will stop copy process when error occurs three times if three is set.
/RI <n> | Interval to retry. RichCopy will wait specified interval until retry the task.
Command
/XG <s> | Any executable can be specified. If exit code of executed command is none-zero, RichCopy will not process rest of tasks. The other word, command can control whether to start copy process or not by returning zero or non-zero.
/XA <s> | Any executable can be specified.
FTP
/EA <s> | Account to be used when access to FTP server
/EP <s> | Password to be used when access to FTP server
Copy option profile
/PF <s> | Specify copy option profile.
Logging
/QA | Information will be added to the specified file if it exist, otherwise new file will be created.
/QO | The specified file will be deleted file if it exist before writing out information.
/QN | No logging
/QP <s> | Specify the file to be write log information out.
/UE | Write out error information
/US | Write out source path
/UD | Write out destination path
/UC | List all copied file.
/UPF | List purged file list
/UPC | Write out purged file count
/UPS | Write out purged file size
/UFC | Write out copied file count
/UCS | Write out copied file size
/USC | Write out file count in source path
/USS | Write out total file size in source path
/USD | Write out total directory count in source path
/UPR | Write out average of copy performance
/UET | Write elapsed time


(Choose Color Dialog)

RichCopy RichCopy 4.0

Choose Color dialog box

<< Write application-specific help here. >>


File open dialog

RichCopy RichCopy 4.0

File copy option dialog

Open existing copy option profile. While opening file based copy option profile, copy option profile bag is disabled until file based copy option profile is closed.

  1. Find the file or folder that you want to open.
  2. Double-click the file or folder to open it.

Notes

  • Double-clicking a file automatically opens its associated program (if it is not already open). In case of .rcx file, RichCopy will be executed and open it.
  • To open a file in a different program than the one that the file usually opens in, right-click the file, point to Open With, and then click a compatible program in the list.
  • If you have a file that will not open, you probably need to install a program capable of opening the file. This might occur if someone sends you a file by e‑mail. Ask the sender what program opens the file and how you can install it. In case of .rcx file, it does mean that RichCopy is not properly installed.


File Save As dialog box

Save copy option profile with specified file name. When active copy option profile is profile bag based, and then profile bag will be inactivated and switch to file based. (Copy option profile drop down list box will be inactivated)

Save As dialog


(Choose Font Dialog)

RichCopy RichCopy 4.0

Choose Font dialog box

<< Write application-specific help here. >>


No help available)

RichCopy RichCopy 4.0

No Help Available

Sorry, no help is available for this


Help about

Show RichCopy About dialog box. This about dialog box shows version and legal terms.


File - Exit menu

RichCopy RichCopy 4.0

Exit RichCopy

Exit from RichCopy application, which could actually terminate all running copy process. When there are active copy process, RichCopy will bring up dialog box to ask if those running copy process can be terminated or not.


Console - Browse destination

RichCopy RichCopy 4.0

Browse destination

This browser supports both of UNC and URL as directory expression, such as "\\<server>\<share>", "file:<server>", "ftp://" in "Directory" edit field. Also server can be added through the "Connect" dialog.


Console - Browse source

RichCopy RichCopy 4.0

Browse source

This browser supports both of UNC and URL as directory expression, such as "\\<server>\<share>", "file:<server>", "ftp://" in "Directory" edit field. Also server can be added through the "Connect" dialog.


Console - Destination path

RichCopy RichCopy 4.0

Destination path

Specify destination directory(s). UNC and URL are supported in this field such as "file:\\", "ftp://". In case of UNC, auth sense is enabled thus user can see and select from valid candidate while entering directory path.


Console - Source

RichCopy RichCopy 4.0

Source path

Specify source directory(s). UNC and URL are supported in this field such as "file:\\", "ftp://". In case of UNC, auth sense is enabled thus user can see and select from valid candidate while entering directory path.


Help

RichCopy RichCopy 4.0

Help command

Show help file.


Edit - Clear

RichCopy RichCopy 4.0

Clear selected text

Save action as regular clear text operation.


File - Close menu

RichCopy RichCopy 4.0 - Copy

Close an active copy option profile

Use this command to close an active copy option profile, and switch to default profile bag based copy option profile. If an active copy option profile is not yet saved, RichCopy prompts to ask you if it should be saved or not. Before closing an untitled document, RichCopy displays the Save As dialog box and suggested that you name and save the copy option profile.

See also

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


Recent Profiles

Open copy option profile from recently opened or save option profile list.

Reference

  • Create new copy option profile - New menu.
  • Opening existing copy option profile - Open menu.
  • Close currently opened copy option profile - Close menu
  • Save opened copy option profile - Save menu.
  • Save current copy option profile with specified file name - Save As menu.
  • Open from the list of recently used copy option profile - Recent Profiles menu.


(Send command (File menu))

RichCopy RichCopy 4.0 - Copy

Send command (File menu)

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


(Title Bar)

RichCopy RichCopy 4.0 - Copy

Title Bar

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

RichCopy RichCopy 4.0 - Copy

No Help Available

No help is available for this area of the window.


(Next Pane Command)

RichCopy RichCopy 4.0 - Copy

Next Pane

<< Write application-specific help here. >>


(Prev Pane Command)

RichCopy RichCopy 4.0 - Copy

Prev Pane

<< Write application-specific help here. >>


(Close command (Control menus))

RichCopy RichCopy 4.0 - Copy

Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

RichCopy RichCopy 4.0 - Copy

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

RichCopy RichCopy 4.0 - Copy

Minimize command (application Control menu)

Use this command to reduce the <<YourApp>> window to an icon.


(Move command (Control menu))

RichCopy RichCopy 4.0 - Copy

Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

RichCopy RichCopy 4.0 - Copy

Next Window command (document Control menu)

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

RichCopy RichCopy 4.0 - Copy

Previous Window command (document Control menu)

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

RichCopy RichCopy 4.0 - Copy

Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

RichCopy RichCopy 4.0 - Copy

Switch to command (application Control menu)

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(1, 2, ... command (Window menu))

RichCopy RichCopy 4.0 - Copy

1, 2, ... command (Window menu)

<<YourApp>> displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


(Window Arrange Icons Command)

RichCopy RichCopy 4.0 - Copy

Window Arrange Icons Command

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this d ocument window.


(Cascade command (Window menu))

RichCopy RichCopy 4.0 - Copy

Cascade command (Window menu)

Use this command to arrange multiple opened windows in an overlapped fashion.


(New command (Window menu))

RichCopy RichCopy 4.0 - Copy

New command (Window menu)

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


(Split Command (Window menu))

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


(Tile command (Window menu))

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

RichCopy RichCopy 4.0

Tile Vertical command (Window menu)

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


RichCopy - Main Window

RichCopy RichCopy 4.0 - Main Window

Main Window

The concept of user interface is same as earlier versions. Only difference is that RichCopy version 4.0 has drop down list box to choose copy profile.

Feature | Description
Improved copy performance | RichCopy version 2.0 ~ 3.5 are already much faster than any other copy tools, but RichCopy version 4.0 is faster than its early versions. RichCopy version 4.0 can cover all areas where file and directories need to be copied over the network with true based performance and features.


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>